Page MenuHomePhabricator

Deploy new Polish language analyser
Closed, ResolvedPublic

Description

If the feedback is good on the new Polish analyser (T154517) is good, which so far it is, we should deploy it to production!

This may need to wait until after ES 5.x. We'll see.

Event Timeline

Deskana created this task.Feb 21 2017, 6:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2017, 6:09 PM
Deskana triaged this task as Normal priority.Feb 21 2017, 6:10 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from Normal to High.Feb 21 2017, 6:59 PM

Actually, changing to high, since it's a current quarterly goal.

I've added stempel to the list of plugins deployed to production https://gerrit.wikimedia.org/r/#/c/338756/
This is still a WIP patch that should be used to upgrade relforge first.
We should upload a patch to integrate it to vagrant as well.
After ES5 has been rolled out to production we will have to reindex all polish wikis to actually enable it.

TJones added a subscriber: TJones.Feb 22 2017, 8:21 PM

To add to @dcausse's notes above (thanks, David!), the plan would be to reindex all the Polish wikis more or less at once, doing a smaller project first in case there's some sort of unexpected problem.

The necessary plugin is now deployed to the production cluster. Should i start up the reindex of polish wikis?

This would also be our first test of the reindex api updates in production. To that end i have run a reindex on testwiki today to check for surprises, everything seems to have worked as expected.

Yeah, Polish is ready for re-indexing! Thanks!

Starting reindex of the 8 polish wikis from terbium:

plwiki
plwikibooks
plwikimedia
plwikinews
plwikiquote
plwikisource
plwikivoyage
plwiktionary
debt awarded a token.Mar 29 2017, 6:04 PM
Deskana closed this task as Resolved.Mar 30 2017, 10:37 AM
Deskana assigned this task to EBernhardson.

\o/